Integrations Workspace
The metadata-driven connector workspace: configuration, provisioning, diagnostics, activity, operations, synchronization, and reliability.
/api/v1/integrationsList v1 integrations
List v1 integrations in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}Update integrations id
Update integrations id in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X PATCH "https://api.authspoke.com/api/v1/integrations/{id}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}Delete integrations id
Delete integrations id in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X DELETE "https://api.authspoke.com/api/v1/integrations/{id}" \
-H "Authorization: Bearer $TOKEN"/api/v1/integrations/{id}/activityList activity
List activity in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/activity" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/activity/{eventId}Get activity event
Get activity event in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| eventId* | eventId identifier. |
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/activity/{eventId}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/activity/summaryGet summary
Get summary in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/activity/summary" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/configurationGet id configuration
Get id configuration in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/configuration" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/configurationReplace id configuration
Replace id configuration in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X PUT "https://api.authspoke.com/api/v1/integrations/{id}/configuration" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/configuration/validateCreate or run configuration validate
Create or run configuration validate in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/configuration/validate" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/diagnostics/historyList history
List history in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/diagnostics/history" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/diagnostics/latestGet diagnostics latest
Get diagnostics latest in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/diagnostics/latest" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/diagnostics/runCreate or run diagnostics run
Create or run diagnostics run in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/diagnostics/run" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/diagnostics/runs/{runId}Get runs run id
Get runs run id in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| runId* | runId identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/diagnostics/runs/{runId}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/health/trendGet health
Get health in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/health/trend" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/importCreate or run id import
Create or run id import in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/import" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/importsCreate or run id imports
Create or run id imports in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/imports" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/imports/{importId}Get imports import id
Get imports import id in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| importId* | importId identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/imports/{importId}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/imports/{importId}/confirmConfirm operation
Confirm operation in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| importId* | importId identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/imports/{importId}/confirm" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/imports/{importId}/previewGet preview
Get preview in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| importId* | importId identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/imports/{importId}/preview" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/imports/historyList history
List history in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/imports/history" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/operationsGet id operations
Get id operations in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/operations" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/operationsCreate or run id operations
Create or run id operations in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/operations" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/operations/{operationId}Get operations operation id
Get operations operation id in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| operationId* | operationId identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/operations/{operationId}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/operations/{operationId}/cancelCreate or run operation id cancel
Create or run operation id cancel in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| operationId* | operationId identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/operations/{operationId}/cancel" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/operations/{operationId}/retryCreate or run operation id retry
Create or run operation id retry in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| operationId* | operationId identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/operations/{operationId}/retry" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/overviewGet id overview
Get id overview in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/overview" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/refreshCreate or run id refresh
Create or run id refresh in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/refresh" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/reliability/summaryGet summary
Get summary in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/reliability/summary" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/scheduleReplace id schedule
Replace id schedule in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X PUT "https://api.authspoke.com/api/v1/integrations/{id}/schedule" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/synchronizationsCreate or run id synchronizations
Create or run id synchronizations in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/synchronizations" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/synchronizations/{syncId}Get synchronizations sync id
Get synchronizations sync id in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| syncId* | syncId identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/synchronizations/{syncId}" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/synchronizations/{syncId}/confirmConfirm operation
Confirm operation in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| syncId* | syncId identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/synchronizations/{syncId}/confirm" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/synchronizations/{syncId}/previewGet preview
Get preview in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
| syncId* | syncId identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/synchronizations/{syncId}/preview" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/synchronizations/historyList history
List history in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/synchronizations/history" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/synchronizations/latestGet synchronizations latest
Get synchronizations latest in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/synchronizations/latest" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/testTest connection
Test connection in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Request body
| name | string | Display name or operation name where applicable. |
| status | string | Status or lifecycle value where applicable. |
| reason | string | Audit reason for governed changes. |
| metadata | object | Provider or business metadata. |
| configuration | object | Connector, policy, or resource configuration. |
Responses
Example request
curl -X POST "https://api.authspoke.com/api/v1/integrations/{id}/test" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"configuration":{"mode":"metadata-driven"}}'Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/{id}/workspaceGet id workspace
Get id workspace in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Path parameters
| id* | id identifier. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/{id}/workspace" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/filtersList integrations filters
List integrations filters in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/filters" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}/api/v1/integrations/summaryGet summary
Get summary in the connector workspace. These APIs are headless and can be used by the UI, agents, MCP servers, or server-to-server automation. The tenant is resolved server-side from the bearer token/session; callers do not pass a tenant subdomain in the API path.
Query parameters
| page | Zero-based page index where supported. |
| size | Page size where supported. |
Responses
Example request
curl -X GET "https://api.authspoke.com/api/v1/integrations/summary" \
-H "Authorization: Bearer $TOKEN"Example response
{
"id": "uuid",
"status": "OK"
}